package deconvolutionj;

/**
 * Title:        DeconvolutionJ --- Image Reconstruction with ImageJ
 * Description:
 * Copyright:    Copyright (c) 2001, 2002
 * Company:      Wake Forest University School of Medicine, Department of Medical Engineering
 *               Winston-Salem, North Carolina, USA
 * @author       Nick Linnenbrgger (nilin@web.de)
 */

public class Precision2
{
    private String name;
    private static String enumerationDescription = new String( "Precision" );

    private Precision2( String name ) { this.name = name; }

    public String toString() { return this.name; }

    public String getEnumerationDescription() { return enumerationDescription; }

    public boolean equals( Object obj )
    {
        if ( !( obj instanceof Precision2 ) )
           return false;
        else
            return ( this.name == ( ( Precision2 ) obj ).name );
    }

    public static final Precision2 SAME = new Precision2( "Same As Source" );
    public static final Precision2 BYTE = new Precision2( "Byte (8-bit)" );
    public static final Precision2 SHORT = new Precision2( "Short (16-bit)" );
    public static final Precision2 FLOAT = new Precision2( "Float (32-bit)" );
}